// tests limits


/*
J.M.P. Franosch (Jan-Moritz.Franosch@physik.tu-muenchen.de)

This file is part of the GNUSSL software package.  This package is free
software; you can redistribute it and/or modify it under the terms of
the GNU Library General Public License as published by the Free
Software Foundation; either version 2 of the License, or (at your
option) any later version.  This software is distributed in the hope
that it will be useful, but WITHOUT ANY WARRANTY; without even the
implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the GNU Library General Public License for more details.
You should have received a copy of the GNU Library General Public
License along with this distribution; if not, write to the Free Software
Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#include <limits>
#include <iostream>




template<typename T>
void test() {
  cout << "epsilon()=" << numeric_limits<T>::epsilon() << endl;
  cout << "min()=" << numeric_limits<T>::min() << endl;
  cout << "max()=" << numeric_limits<T>::max() << endl;
  cout << "digits=" << numeric_limits<T>::digits << endl;
  cout << "digits10=" << numeric_limits<T>::digits10 << endl;
};


main() {
  cout << "float:" << endl;
  test<float>();
  cout << "double:" << endl;
  test<double>();
  cout << "wchar_t:" << endl;
  test<wchar_t>();
};
