/***************************************************************************
                          convert_date.h  -  description
                             -------------------
    begin                : Fri Aug 2 2002
    author               : Moritz Franosch
    copyright            : (C) 2002 by ASKOS http://www.ASKOS.de
    email                : mail@Franosch.org
 ***************************************************************************/

#include <string>
#include <ctime>


/** Gibt einen Zeitstempel in der Form '2004-06-30_16-37-54' zurueck.
 */
const std::string time_to_timestamp(const double& t);


/** Gibt das Datum in der Form '2004-06-30 16:37:54' zurueck.
 */
const std::string time_to_date(const double& t);


/** Wandelt die Unix-Systemzeit t (Sekunden seit 1.1.1970) in die
 *  Tageszeit um (wieder in Sekunden).
 */
double time_to_daytime(const double& t);
