/***************************************************************************
                          errorcheck.h  -  description
                             -------------------
    begin                : Wed Apr 10 2002
    author               : Moritz Franosch
    copyright            : (C) 2002 by ASKOS http://www.ASKOS.de
    email                : mail@Franosch.org
 ***************************************************************************/

#ifndef ERRORCHECK_H
#define ERRORCHECK_H

#include <iostream>


#define FATAL_ERROR_TEXT(text) \
  std::cerr << "FATAL ERROR in file " << __FILE__ << ", line " << __LINE__ \
       << ": " << text << std::endl; \
  exit(EXIT_FAILURE);

#define FATAL_ERROR FATAL_ERROR_TEXT("")


#endif // ERRORCHECK_H
