/***************************************************************************
                          infile.h  -  description
                             -------------------
    begin                : Thu Sep 19 2002
    author               : Moritz Franosch
    copyright            : (C) 2002 by ASKOS http://www.ASKOS.de
    email                : mail@Franosch.org
 ***************************************************************************/

#ifndef INFILE_H
#define INFILE_H


#include <fstream>
#include <string>

#include "log.h"


using namespace std;


class Infile : public ifstream {

private:
  
  Logdevice& logdevice;

protected:

  virtual void error(const string& message);

public:

  Infile();

  Infile(Logdevice* logdevice_ptr);

  Infile(Logdevice* logdevice_ptr, const string& filename);

  bool open(const string& filename);

};




#endif // INFILE_H
