/***************************************************************************
                          nullstreambuf.h  -  description
                             -------------------
    begin                : Tue Apr 9 2002
    author               : Moritz Franosch
    copyright            : (C) 2002 by ASKOS http://www.ASKOS.de
    email                : mail@Franosch.org
 ***************************************************************************/

#ifndef NULLSTREAMBUF_H
#define NULLSTREAMBUF_H

#include <streambuf>

using namespace std;


/** Streambuf, der alle Ausgaben igoriert.
 */
class Nullstreambuf : public streambuf {

public: 

  typedef int int_type; ////

  Nullstreambuf();

  virtual ~Nullstreambuf();

protected:

  virtual int_type overflow(int_type) {
    return !EOF; //// traits::not_eof();
  }

  virtual int write(char*, int len) {
    return 0; ////
  }

  virtual int sync() {
    return 0;
  }

};


#endif // NULLSTREAMBUF_H
