/***************************************************************************
                          outfile.h  -  description
                             -------------------
    begin                : Thu Apr 25 2002
    author               : Moritz Franosch
    copyright            : (C) 2002 by ASKOS http://www.ASKOS.de
    email                : mail@Franosch.org
 ***************************************************************************/

#ifndef OUTFILE_H
#define OUTFILE_H


#include <fstream>
#include <string>


using namespace std;


class Outfile : public ofstream {

private:
  
  Logdevice& logdevice;

protected:

  virtual void error(const string& message);

public:

  Outfile();

  Outfile(Logdevice* logdevice_ptr);

  Outfile(Logdevice* logdevice_ptr, const string& filename);

  bool open(const string& filename);

};




#endif // OUTFILE_H
