/***************************************************************************
                          testdate.cpp  -  description
                             -------------------
    begin                : Thu Nov 28 2002
    author               : Moritz Franosch
    copyright            : (C) 2002 by ASKOS http://www.ASKOS.de
    email                : mail@Franosch.org
 ***************************************************************************/

#include <iostream>

#include "askosdates/date.h"
#include "askosdates/convert_date.h"
#include "askosmath/askosmath.h"

#include "testdate.h"


using namespace std;


int TestDate::operator()() {

  Date date1(2002,11,28);
 
  /*
  if ( date1.get_weekday()!=4 ) {
    return EXIT_FAILURE;
  }

  if ( date1.get_day()!=28 ) {
    return EXIT_FAILURE;
  }

  if ( date1.get_year()!=2002 ) {
    return EXIT_FAILURE;
  }

  if ( date1.get_hours()!=0 ) {
    return EXIT_FAILURE;
  }

  if ( date1.get_minutes()!=0 ) {
    return EXIT_FAILURE;
  }

  if ( date1.get_seconds()!=0 ) {
    return EXIT_FAILURE;
  }

  double t=date1.get_time();

  Date date2(t);

  double t2=date2.get_time();

  if ( !similar(t,t2,1) ) {
    return EXIT_FAILURE;
  }

  if ( Date(2002,11,25).get_weekday()!=1 ) {
    return EXIT_FAILURE;
  }

  if ( Date(2002,11,24).get_weekday()!=7 ) {
    return EXIT_FAILURE;
  }
  */


  Date date4(2001,10,27,0,0,0);

  if ( date4.get_hours()!=0 ) {
    return EXIT_FAILURE;
  }


  Date date3(2001,10,27,22,34,50.123);
 
  if ( date3.get_weekday()!=6 ) {
    return EXIT_FAILURE;
  }

  if ( date3.get_year()!=2001 ) {
    return EXIT_FAILURE;
  }

  if ( date3.get_month()!=10 ) {
    return EXIT_FAILURE;
  }

  if ( date3.get_day()!=27 ) {
    return EXIT_FAILURE;
  }

  if ( date3.get_hours()!=22 ) {
    return EXIT_FAILURE;
  }

  if ( date3.get_minutes()!=34 ) {
    return EXIT_FAILURE;
  }

  if ( !similar(date3.get_seconds(),50.123,1) ) {
    return EXIT_FAILURE;
  }


  return EXIT_SUCCESS;
}
