/***************************************************************************
                          teststring.cpp  -  description
                             -------------------
    begin                : Fri Dec 12 2003
    author               : Moritz Franosch
    copyright            : (C) 2003 by ASKOS http://www.ASKOS.de
    email                : mail@Franosch.org
 ***************************************************************************/

#include <iostream>

#include "askosio/string_convert.h"

#include "teststring.h"



using namespace std;


int TestString::operator()() {

  {
    string a_str="1.23";
    double a=0;
    if ( !string_convert::string_to_double(a_str,a) ) {
      return EXIT_FAILURE;
    }
  }

  {
    string a_str="123";
    double a=0;
    if ( !string_convert::string_to_double(a_str,a) ) {
      return EXIT_FAILURE;
    }
  }

  {
    string a_str="1.23 1.78";
    double a=0;
    if ( string_convert::string_to_double(a_str,a) ) {
      return EXIT_FAILURE;
    }
  }

  {
    string a_str="asdk";
    double a=0;
    if ( string_convert::string_to_double(a_str,a) ) {
      return EXIT_FAILURE;
    }
  }

  {
    string a_str="";
    double a=0;
    if ( string_convert::string_to_double(a_str,a) ) {
      return EXIT_FAILURE;
    }
  }

  {
    string a_str="  ";
    double a=0;
    if ( string_convert::string_to_double(a_str,a) ) {
      return EXIT_FAILURE;
    }
  }

  {
    string i_str="abc ";
    if ( string_convert::is_int(i_str) ) {
      return EXIT_FAILURE;
    }
  }

  {
    string i_str=" 1356 ";
    if ( !string_convert::is_int(i_str) ) {
      return EXIT_FAILURE;
    }
  }

  return EXIT_SUCCESS;
}
