#!/bin/bash

mkdir frames_status

BASEDIR=`dirname $0`

mkfifo pipe1

# /usr/X11R6/bin/gracebat -param xmgrace.par -npipe pipe1 -nosafe -hardcopy &
/usr/X11R6/bin/xmgrace -param xmgrace.par -npipe pipe1 -nosafe &
XMGRACEPID=$!

gunzip -c out.xml.gz | $BASEDIR/xml_convert.pl --xmgrace --prefix="frames_status/frame-" > pipe1

sleep 5
kill $XMGRACEPID
