#!/bin/bash

FRAMESDIR=$1"-"$$

BASEDIR=`dirname $0`

mkdir $FRAMESDIR

mkfifo $FRAMESDIR/pipe1
mkfifo $FRAMESDIR/pipe2

xmgrace -param $1.par -npipe $FRAMESDIR/pipe1 &

$BASEDIR/xml_convert.pl --split --prefix="$FRAMESDIR/frame-" < $FRAMESDIR/pipe2 &

$BASEDIR/partsim.sh $1.xml | tee $FRAMESDIR/pipe2 | $BASEDIR/xml_convert.pl --xmgrace > $FRAMESDIR/pipe1

