/***************************************************************************
                          errorcheck.cpp  -  description
                             -------------------
    begin                : Sun Feb 16 2003
    copyright            : (C) 2003 by Moritz Franosch
    email                : mail@Franosch.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <iostream>

#include "errorcheck.h"


using namespace std;


void I_handler(const char* expr, const char* file, const int line, 
	       const char* pretty_function) {
  cerr << file << ":" << line << ": " 
       << pretty_function << ": " << expr << " failed." << endl;
  abort();
}
