/***************************************************************************
                          testxml.cpp  -  description
                             -------------------
    begin                : Fri Jan 31 2003
    copyright            : (C) 2003 by Moritz Franosch
    email                : mail@Franosch.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <iostream>

#include "xercesc/sax/HandlerBase.hpp"

#include "xercesc/parsers/SAXParser.hpp"
#include "xercesc/sax/HandlerBase.hpp"
#include "xercesc/util/XMLString.hpp"
#include "xercesc/util/PlatformUtils.hpp"

#include "testxml.h"
#include "rax_parser.h"


using namespace std;


/*
class MySAXHandler : public HandlerBase {
public:
    virtual void startElement(const XMLCh* const, AttributeList&);
    virtual void fatalError(const SAXParseException&);
};
*/

/*
MySAXHandler::MySAXHandler()
{
}
*/

/*
void MySAXHandler::startElement(const XMLCh* const name,
                           AttributeList& attributes)
{
    char* message = XMLString::transcode(name);
    cout << "I saw element: "<< message << endl;
    delete [] message;
}

void MySAXHandler::fatalError(const SAXParseException& exception)
{
    char* message = XMLString::transcode(exception.getMessage());
    cout << "Fatal Error: " << message
         << " at line: " << exception.getLineNumber()
         << endl;
}
*/


class RAX_Parser1 : public RAX_Parser {

public:

  virtual void start_element(const std::string& name, AttributeList&);

  virtual void end_element(const std::string& name);

  virtual void text(const std::string& name, const std::string& t);

};


void RAX_Parser1::start_element(const string& name, AttributeList&) {
  cerr << "<" << name << ">" << endl;
}


void RAX_Parser1::end_element(const string& name) {
  cerr << "</" << name << ">" << endl;
}


void RAX_Parser1::text(const std::string& name, const string& t) {
  cerr << name << "->" << "'" << t << "'" << endl;
}


int TestXML::operator()() {

  RAX_Parser1 parser1;

  parser1.parse("test3.xml");

  /*
 try {
            XMLPlatformUtils::Initialize();
        }
        catch (const XMLException& toCatch) {
            char* message = XMLString::transcode(toCatch.getMessage());
            cout << "Error during initialization! :\n"
                 << message << "\n";
            delete [] message;
            return 1;
        }

        char* xmlFile = "test1.xml";
        SAXParser* parser = new SAXParser();
        parser->setDoValidation(true);    // optional.
        parser->setDoNamespaces(true);    // optional

        DocumentHandler* docHandler = new MySAXHandler(); // HandlerBase();
        ErrorHandler* errHandler = (ErrorHandler*) docHandler;
        parser->setDocumentHandler(docHandler);
        parser->setErrorHandler(errHandler);

        try {
	  cerr << "parsing ..." << endl;
            parser->parse(xmlFile);
        }
        catch (const XMLException& toCatch) {
            char* message = XMLString::transcode(toCatch.getMessage());
            cout << "Exception message is: \n"
                 << message << "\n";
            delete [] message;
            return -1;
        }
        catch (const SAXParseException& toCatch) {
            char* message = XMLString::transcode(toCatch.getMessage());
            cout << "Exception message is: \n"
                 << message << "\n";
            delete [] message;
            return -1;
        }
        catch (...) {
            cout << "Unexpected Exception \n" ;
            return -1;
        }

        delete parser;
        delete docHandler;
*/

  return EXIT_SUCCESS;
}
