#ifndef _gnussl_error_h_
#define _gnussl_error_h_


#include <iostream>




inline void gnussl_error(const char* function="", const char* message="") {
  std::cerr << "gnussl error: " << function << ": " << message << std::endl;
};


inline void gnussl_warning(const char* function="", const char* message="") {
  std::cerr << "gnussl warning: " << function << ": " << message << std::endl;
};




#endif // _gnussl_error_h_
