/***************************************************************************
                          askos_exception.h  -  description
                             -------------------
    begin                : Fri Jan 10 2003
    author               : Moritz Franosch
    copyright            : (C) 2003 by ASKOS http://www.ASKOS.de
    email                : mail@Franosch.org
 ***************************************************************************/

#ifndef ASKOS_EXCEPTION_H
#define ASKOS_EXCEPTION_H


#include <string>


/** Basisklasse aller Exceptions.
 */
class Askos_Exception {

private:

  std::string message;

public: 

  /** Konstruktor.
   */
  Askos_Exception(const std::string& message);

  /** Gibt die Meldung vom Konstruktor zurueck.
   */
  const std::string& get_message() const;

  /** Destruktor.
   */
  virtual ~Askos_Exception();

};


#endif // ASKOS_EXCEPTION_H
