/***************************************************************************
                          testlog.cpp  -  description
                             -------------------
    begin                : Fri Feb 7 2003
    author               : Moritz Franosch
    copyright            : (C) 2003 by ASKOS http://www.ASKOS.de
    email                : mail@Franosch.org
 ***************************************************************************/

#include "askosio/log.h"

#include "testlog.h"


class A {

public:

  int f();
  void g();

};


int A::f() {
  LOG(log);
  log.internal_error() << "Internal-Error-Meldung." << endl;
  log.error() << "Error-Meldung." << endl;
  log.warn() << "Warn-Meldung." << endl;
  log.info() << "Info-Meldung." << endl;
  log.debug() << "Debug-Meldung." << endl;

  g();
  return 0;
}


void A::g() {
  LOG(log);
  log.info() << "Info-Meldung." << endl;
}


int TestLog::operator()() {
  Log::get_default_logdevice().set_log_time();
  Log::get_default_logdevice().debug_on("A");
  Log::get_default_logdevice().debug_on("TestLog");

  Log(log);

  A a;
  a.f();

  return EXIT_SUCCESS;
}
