/***************************************************************************
                          testsimilar.cpp  -  description
                             -------------------
    begin                : Thu Nov 28 2002
    author               : Moritz Franosch
    copyright            : (C) 2002 by ASKOS http://www.ASKOS.de
    email                : mail@Franosch.org
 ***************************************************************************/

#include <iostream>

#include "askosmath/askosmath.h"

#include "testsimilar.h"


using namespace std;




int TestSimilar::operator()() {

  if ( similar_bits(1,1,1)!=numeric_limits<double>::digits ) {
    return EXIT_FAILURE;
  }

  if ( similar_bits(2,1,1)!=0 ) {
    return EXIT_FAILURE;
  }

  if ( similar_bits(1,1.125,1)!=3 ) {
    return EXIT_FAILURE;
  }

  if ( similar(1,2,0) ) {
    return EXIT_FAILURE;
  }

  if ( !similar(0,0,0) ) {
    return EXIT_FAILURE;
  }

  if ( similar(1.0,1.0001,0) ) {
    return EXIT_FAILURE;
  }

  if ( !similar(1.0,1+100*numeric_limits<double>::epsilon(),0) ) {
    return EXIT_FAILURE;
  }

  return EXIT_SUCCESS;
}
