#!/bin/bash

mkdir frames_xml
mkdir frames_status

BASEDIR="../../bin"

mkfifo pipe1
mkfifo pipe2

/usr/X11R6/bin/gracebat -param xmgrace.par -npipe pipe1 -nosafe -hardcopy &
XMGRACEPID=$!

# $BASEDIR/xml_convert.pl --split --prefix="frames_xml/frame-" < pipe2 &
cat pipe2 | gzip -c > out.xml.gz &

$BASEDIR/partsim.sh input.xml | tee pipe2 | $BASEDIR/xml_convert.pl --xmgrace --prefix="frames_status/frame-" > pipe1

sleep 5
kill $XMGRACEPID
