/***************************************************************************
                          errorcheck.h  -  description
                             -------------------
    begin                : Sat Feb 1 2003
    copyright            : (C) 2003 by Moritz Franosch
    email                : mail@Franosch.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NANA_ERRORCHECK_H
#define NANA_ERRORCHECK_H


// define the nana handler for printing assertion violations and exiting
#define I_DEFAULT_HANDLER(expr,file,line,param) \
  I_handler(expr,__FILE__,__LINE__,__PRETTY_FUNCTION__)


#include "nana.h"
#include "eiffel.h"


/** Prints GNU nana assertion failures, then calls abort().
 */
void I_handler(const char* expr, const char* file, const int line, 
	       const char* pretty_function);


#endif // NANA_ERRORCHECK_H
