/***************************************************************************
                          pyramid.cpp  -  description
                             -------------------
    begin                : Sat Mar 15 2003
    copyright            : (C) 2003 by Moritz Franosch
    email                : mail@Franosch.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "errorcheck.h"
#include "pyramid.h"


using namespace std;


Pyramid::Pyramid(const Particle::vector_t& top_ini,
		 const Particle::vector_t& c1,
		 const Particle::vector_t& c2,
		 const Particle::vector_t& c3,
		 const Particle::vector_t& c4) : 
  top(top_ini),
  polygon() {
  polygon.push_back(c1);
  polygon.push_back(c2);
  polygon.push_back(c3);
  polygon.push_back(c4);
}


bool Pyramid::operator()(const Particle::vector_t& p) const {
  I(false);
  return false;
}


void Pyramid::to_xml(std::ostream& o) {
  o << "<pyramid>" << endl;
  o << "  <top> " << Particle::list_vector(top) << " </top>" << endl;
  o << "  <bottom>" << endl;
  for (list<Particle::vector_t>::const_iterator i=polygon.begin();
       i!=polygon.end(); ++i) {
    o << "  <corner> " << *i << " </corner>" << endl;
  }
  o << "  </bottom>" << endl;
  o << "</pyramid>" << endl;
}
