/***************************************************************************
                          testvector.cpp  -  description
                             -------------------
    begin                : Sat Jan 11 2003
    copyright            : (C) 2003 by Moritz Franosch
    email                : mail@Franosch.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "blitz/tinyvec-et.h"

#include "testvector.h"
#include "errorcheck.h"

#include <iostream>


using namespace std;
using namespace blitz;


int TestVector::operator()() {

  TinyVector<double,3> v;

  v[0]=0;
  v[1]=1;
  v[2]=2;

  I(v[0]==0);
  I(v[1]==1);
  I(v[2]==2);

  I(v(0)==0);
  I(v(1)==1);
  I(v(2)==2);

  v(0)=1;

  I(v(0)==1);

  TinyVector<double,3> v2;

  v2[0]=1;
  v2[1]=2;
  v2[2]=3;

  TinyVector<double,3> v3;

  v3=v;
  v3 += v2;

  v3=v+v2;

  cerr << "v3=" << v3 << endl;

  /*
  Array<double,3> a1, a2, a3;

  a3 = a1 + a2;
  */

  return EXIT_SUCCESS;
}
