/***************************************************************************
                          voxel.cpp  -  description
                             -------------------
    begin                : Sun Mar 9 2003
    copyright            : (C) 2003 by Moritz Franosch
    email                : mail@Franosch.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "voxel.h"


using namespace std;


Voxel::Voxel(const Particle::vector_t& p1, const Particle::vector_t& p2) :
  Box(p1,p2) {
}


void Voxel::to_xml(std::ostream& o) {
  o << "<voxel>" << endl;
  o << "  <corner1> " 
    << Particle::list_vector(get_corner1()) << " </corner1>" << endl;
  o << "  <corner2> " 
    << Particle::list_vector(get_corner2()) << " </corner2>" << endl;
  o << "  </voxel>" << endl;
}
