camera {
  location <0,0,-2.5>
  look_at <0,0,0>
}

light_source {
  <10,10,-10> color rgb 1 shadowless
}

plane {
  z, 2
  pigment { checker color rgb 0, color rgb 1 }
  finish { ambient 1 diffuse 0 }
  scale 0.5
}

sphere {
  <-0.5,0,0>, 0.5
  pigment { color rgbt<1,0,0> filter 1 }
}


sphere {
  <0.5,0,0>, 0.5
  pigment { color rgbt<1,0,0> filter 1 }

  interior {
   media {
      emission 0.05
      intervals 5
      samples 1, 10
      confidence 0.9999
      variance 1/1000
    }
  }

  hollow
}
