#include "colors.inc"

camera {
  location <1,3,-7>
  look_at 0
  angle 36
}

light_source { 
  <10,10,-10> 
  color White 
  area_light <3,0,0>, <0,0,3>, 6, 6
  adaptive 2
}

plane { y, -1.5
  pigment { checker <0.9,0.9,0.9> , White }
  finish {
    ambient 0
    diffuse 1
  }
}


#declare Water = texture {
  pigment { rgb <0.8,0.8,1> filter 1 }
  finish {
    ambient 0.0
    diffuse 0.0
    reflection 0.5
    refraction 1
    ior 1.33
    specular 1
    roughness 0.001
  }
}


merge {

sphere { <0,0,0>, 0.5
  texture { Water }
}

sphere { <0.75,0,0>, 0.5
  texture { Water }
}

sphere { <1.6,0,0>, 0.5
  texture { Water }
}

sphere { <-0.7,0,0>, 0.5
  texture { Water }
}

sphere { <-0.7,0,0.3>, 0.5
  texture { Water }
}

sphere { <-0.1,0.2,0.3>, 0.5
  texture { Water }
}

}
